Moving to App-V 5 as App-V 4.6 Mainstream Support Ends


 First, don't panic.  Mainstream Support ending doesn't mean that if you are using App-V 4.6 you are suddenly going to be unsupported.  What it does mean, however, is that after July 14, 2015 there won't be anymore hotfixes or service packs. App-V 4.6 won't be unsupported until July 14, 2020, so you can keep using it for a good deal longer.  However, what this does mean is that your organization needs to seriously think about moving to App-V 5.0 since, for one, it has many more years left in the support lifecycle.

Everything you need to know about moving to App-V 5.0 is available in the blog series that begins here on the Official App-V Blog.  However, below are some answers to questions you are probably asking right now.

Moving? Don't you mean Upgrading?

No, we definitely mean moving or more accurately, migrating, to App-V 5.0.  There is no direct upgrade since the database, servers, and client are all new and different.

So, I have to resequence everything?

Many of the packages you sequenced with App-V 4.6 can be converted to App-V 5.0 packages. Please note the keyword "many" was used and not "all".  You will need to account for some time in testing applications to see if the conversion was successful.  Some applications may need to be resequenced and it is best to allow your organization the planning time to address these potential issues.  The TechNet documentation for converting packages is here, but Premier Field Engineer, David Falkus, also has an excellent article with screenshots and examples.

We have hundreds of applications! It will take us forever to get that done!

Two things to remember here: 1. Don't Panic.  2.  Migration

The conversion process of 4.6 packages is all done with PowerShell and this means you can batch convert packages.  A vast majority of your package conversions may be knocked out with just a few Cmdlets.  See the Advanced Conversion Tips section of this article for more details.

App-V 5.0 has a Migration Mode allowing the App-V 5.0 client to be side-by-side with the App-V 4.6 SP2+ client.  This means you can convert your packages, take the time to test them, and then easily publish the 5.0 package and remove the 4.6 package for each application as you certify them.  There is no stress-inducing mega-change from all 4.6 to all 5.0.

We use Citrix with App-V so does that still work with App-V 5.0?

App-V 5.0 still works with Citrix.  You should start with this White Paper, but know that the paper is a guideline and Citrix has released documentation that supersedes any versions of their products mentioned in the paper.  Depending how you use Citrix for application delivery, disk management, or profile management, you may need to be at more recent versions of their products.

If App-V 4.6 is still supported until 2020 can we use it on Windows 10?

UPDATED 10/15/15: The App-V 4.6 support lifecycle was not modified to support Windows 10 and beyond.  Customers should consider and treat App-V 4.6 as unsupported on Windows 10 forward and a "use at your own risk" situation.

App-V 5.0 will be supported on Windows 10, though there will most likely need to be a hotfix or Service Pack that completes that compatibility. Remember, App-V is not an OS compatibility tool.


We have an application that was running great in 4.6 and now it won't work in App-V 5.0.

There is always that possibility that an application that worked in 4.6 doesn't convert or doesn't sequence in App-V 5.0.  You may need to open up a ticket with Microsoft Support.  Before you open that ticket be aware of the following:

  • Microsoft 3rd Party software and App-V Support Policy
  • Are you on the latest version/patch of the software you need virtualized (remember, App-V is not an OS compatibility tool)?
  • Are you getting an error from the software or from App-V?  If it is from the software, have you checked with resources from that vendor?
  • Does it work locally installed?  If so, do you have reason that it needs to be virtualized?
    • If your answer is "we virtualize everything", weigh the factors of "is it more important that this works or that it is virtualized" as well as "does the vendor support this product virtualized".
  • UPDATE 10/15/15:  The App-V 5.1 sequencer has even more improvements in the converter.  If you had a package that did not convert successfully before, you may want to try again with the 5.1 sequencer.

Good luck with your migration to App-V 5.0.  Remember to review the documentation on TechNet before beginning your migration, but I hope this helped answer some immediate questions.

Comments (11)

  1. Anonymous says:

    ~ John Behneman | Senior Support Escalation Engineer Hello everyone, John Behneman here again. I’d like

  2. Anonymous says:

    ~ John Behneman | Senior Support Escalation Engineer Hello everyone, John Behneman here again. I’d like

  3. Anonymous says:

    First, don’t panic. Mainstream Support ending doesn’t mean that if you are using App-V 4.6 you

  4. sarkaranup says:

    "Windows 10 has not been released at the time of this article, and nothing official has been announced, but I would not count on App-V 4.6 being supported on Windows 10."

    Is there anything officially announced? I need to know if 4.6 is compatible and supported on windows 10 for me to plan migration and get our environment ready for App-v 5.0 apps.

    Any help/information will be appreciated.
    Thanks.

  5. Steve Bucci says:

    There has been no announcement externally or internally at this time.

  6. Jesper Gammelgaard says:

    Hi
    Im setting up App v 5.0 SP3 is this version supported on windows 10?

  7. Robbie says:

    Kind of hard to not support 4.6 on Windows 10 when 5.0 is such a step backward for the product. Apps that take 30 seconds to load on 4.6 take 2 minutes to load on 5.0. You are forcing people make an upgrade they can’t make due to the still present performance
    issues in 5.0. Of course, we can all just stay on Windows 7 for many years to come.

  8. Rimantas Grigaliunas says:

    Hi,
    I trying to patch MS AppV 4.6 SP2 client to SP3, but can download SP3 from MS site:
    https://support.microsoft.com/en-us/kb/2873450
    Maybe somebody knows where i can download Microsoft Application Virtualization 4.6 Service Pack 3.

    Thanks for advice

  9. Steve Bucci says:

    SP3 is available on your Volume Licensing Site in the Microsoft Desktop Optimization Pack 2014 R2 or Microsoft Desktop Optimization Pack 2015 media. Strictly for testing (not Production environment deployment) you can download from MSDN as well.

  10. Steve Bucci says:

    App-V 5.1 is supported on Windows 10

    1. tim says:

      Just to avoid confusion on the topic, please note that Steve’s comment above is prior to the 10/15/15 update (yellow highlight) that App-V 4.6 on Windows 10 is not supported (as in: although it seems to work, don’t expect support).

Skip to main content